#!/usr/bin/bash

[[ -d ./Artists ]] || mkdir ./Artists
rm -rf ./Artists/*

readarray -t links < ./Iwara.links
for ((i = 0 ; i < ${#links[@]} ; i++)); do
    #echo ${links[$i]}

    ARTIST=$(awk -F'/' '{print $5}' <<< ${links[$i]})
    #echo "$ARTIST"

    DESTINATION="./Artists/$ARTIST/%(id)s.%(ext)s"
    echo "$DESTINATION"
    yt-dlp --config-location ./yt-dlp_iwara.conf ${links[$i]} --output "$DESTINATION"
done
